<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="restartServer" xmlns="http://www.w3.org/1999/xhtml">
        <h2>Shutdown or Restart Server</h2>
        <div id="formset">
            <div>Shutdown or Restart your WSO2 WSAS instance
                <br/><br/>
            </div>
            <h3>Shutdown</h3>
            <a>
                <xsl:attribute name="href">#</xsl:attribute>
                <xsl:attribute name="style">cursor:pointer;</xsl:attribute>
                <xsl:attribute name="onclick">javascript:wso2.wsf.Util.shutdownServerGracefully();</xsl:attribute>
                Graceful Shutdown
            </a>
            <div>
                Stop accepting new requests, continue to process already received requests, and then shutdown the server.
                <br/><br/>
            </div>
            <a>
                <xsl:attribute name="href">#</xsl:attribute>
                <xsl:attribute name="style">cursor:pointer;</xsl:attribute>
                <xsl:attribute name="onclick">javascript:wso2.wsf.Util.shutdownServer();</xsl:attribute>
                Forced Shutdown
            </a>
            <div>
                Forcefully shutdown the server.
                <br/><br/>
            </div>

            <h3>Restart</h3>
            <div>Server restart takes approximately 10 seconds.
                You will not be able to connect to the server during this period.
                <br/><br/>
            </div>
            <a>
                <xsl:attribute name="href">#</xsl:attribute>
                <xsl:attribute name="style">cursor:pointer;</xsl:attribute>
                <xsl:attribute name="onclick">javascript:wso2.wsf.Util.restartServerGracefully();</xsl:attribute>
                Graceful Restart
            </a>
            <div>
                Stop accepting new requests, continue to process already received requests, and then restart the server.
                <br/><br/>
            </div>
            <a>
                <xsl:attribute name="href">#</xsl:attribute>
                <xsl:attribute name="style">cursor:pointer;</xsl:attribute>
                <xsl:attribute name="onclick">javascript:wso2.wsf.Util.restartServer();</xsl:attribute>
                Immediate Restart
            </a>
            <div>
                Discard any requests currently being processed and immediately restart server. 
                <br/><br/>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>
